Subject: Re: [lojban] Re: Automatic Lojban -> English translation?

From: robin <[email-masked]>
Date: Thu, 20 Jun 2002 15:19:18 +0000

And Rosta wrote:

>I agree with Robin. Although a Lojban to English translator would be
>easier than an English to Lojban or French to English, it would still
>require an enormous amount of work -- a team of people working
>full-time, with more Lojban texts than are currenty available.
>
So basically a basic Lojban translator could be done if someone comes up 
with a years' salary for a Lojban-fluent programmer!

>
>
>However, it's quite easy to translate Lojban into a version where the
>Lojban words are simply replaced by English/French/German equivalents.
>That way, you have to learn Lojban grammar and (more onerously)
>place-structures, but not the actual vocab.
>
This would be do-able - basically just a matter of combining the parser 
and the glosser. I don't think much Lojban knowledge would be required 
to understanfd the output.

> Hence although Lojban
>is not a magical translational interlanguage, it could be quite effective
>as a written/electronic lingua franca.
>
.ie

robin.tr

>
>
>--And.
>
>>>>pmak0 <[email-masked]> 06/20/02 07:11am >>>
>>>>
>--- In lojban@y..., robin <robin@B...> wrote:
>
>>>>Since Lojban is supposed to be unambiguously parsible, would it be
>>>>theoretically possible to write a computer program that parses Lojban and
>>>>outputs readable English (or any other language) without loss of meaning?
>>>>
>>I'd say readable and grammatical, but not idiomatic. We already have 
>>parsers and glossers; all that is needed is something that will generate 
>>the English syntax. Even so, it would probably be a long time before we 
>>had anything remotely resembling natural-sounding English.
>>
>
>I was thinking this:
>
>If people make a Lojban -> English translator, and then also a Lojban -> German, -> French, -> Spanish, -> Japanese, -> every major language translator, then Lojban becomes very powerful.
>
>Because then anyone who can write in Lojban can have it automatically machine-translated to all those target languages, and it will be understandable. I'm guessing this would be a step ahead of current machine translation (which tends to produce incomprehensible junk), if http://world.altavista.com/ is any indication of the current state-of-the-art.
>
>
>
>To unsubscribe, send mail to [email-masked] 
>
>Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/ 
>
>
>
>
>
>To unsubscribe, send mail to [email-masked] 
>
>Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/ 
>
>
>
>

-- 
"It suits the poet himself to be dutifully chaste,
his verses not necessarily so at all" - Catullus

Robin Turner
IDMYO
Bilkent Üniversitesi
Ankara 06533

http://www.bilkent.edu.tr/~robin